org.apache.sling.datasource.internal

## Class JNDIDataSourceFactory

- java.lang.Object
- - org.apache.sling.datasource.internal.JNDIDataSourceFactory

    public class JNDIDataSourceFactory
    extends Object

### Field Summary

Fields
`static String` `NAME`

### Constructor Summary

Constructors
Constructor and Description
`JNDIDataSourceFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate(org.osgi.framework.BundleContext bundleContext, Map<String,?> config)`
`protected void` `deactivate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

See Also:
  Constant Field Values

### Constructor Detail

#### JNDIDataSourceFactory

    public JNDIDataSourceFactory()

### Method Detail

#### activate

    @Activate
    protected void activate(org.osgi.framework.BundleContext bundleContext,
                                      Map<String,?> config)
                               throws Exception

Throws:
  `Exception`

#### deactivate

    @Deactivate
    protected void deactivate()